% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/basic_functions.R
\name{adj_mat}
\alias{adj_mat}
\title{Covert data matrix to adjacency matrix}
\usage{
adj_mat(X, method = "euclidian")
}
\arguments{
\item{X}{a matrix of samples by features.}

\item{method}{method for distance calculation:
\code{"euclidian"}, \code{"cosine"}, \code{"maximum"}, \code{"manhattan"},
\code{"canberra"}, \code{"binary"}, \code{"minkowski"},}
}
\value{
calculated adjacency matrix from the data matrix using the specified methods
}
\description{
Covert data matrix to adjacency matrix
}
\examples{
X = gaussian_clusters()$X
Adj = adj_mat(X, method = "euclidian")

}
